METAR(1)

NAME
metar - demo METAR utility for FlightGear

SYNOPSIS
metar -h | --help | [-v | --verbose] [-e elevation | --elevation elevation] [-r | --report | -c | --command-line] <list of ICAO airport IDs or METAR strings>

DESCRIPTION
metar is a demo utility for FlightGear that retrieves a METAR (encoded weather information) for one or more given airports from the Internet and displays it in a user-readable form. Optionally, it can also print the command-line arguments required to start fgfs(1) at the current time and with the weather conditions in effect.

OPTIONS

-h, --help
    Display usage information and exit.

-v, --verbose
    Display debugging information while performing the required operation.

-e elevation, --elevation elevation
    Set the airport elevation to elevation meters.

-r, --report
    Print the weather information on the screen in a user-readable form.

-c, --command-line
    Print the command-line arguments required to start FlightGear at the current time and with the weather conditions in effect.

EXIT STATUS
metar exits with 0 on success, with 1 if the syntax of the command-line arguments is wrong or an error occurs.

ENVIRONMENT

HTTP_PROXY
    Specifies the HTTP proxy to use. Must be in the form http://host:port/.

EXAMPLE
Print the current weather information for KSFO and KOAK:
    $ metar KSFO KOAK Print the current weather information for KSFO, as well as the command line arguments required to start FlightGear with the weather conditions in effect:
    $ metar -c KSFO -r KSFO Print the given METAR string as a user-readable weather report:
    $ metar "LOWL 161500Z 19004KT 160V240 9999 FEW035 SCT300 29/23 Q1006 NOSIG"

SEE ALSO
fgfs(1), the FlightGear wiki "Weather reports" page (http://wiki.flightgear.org/Weather_reports)